## Create a new TURN key `client.calls.turn.create(TURNCreateParamsparams, RequestOptionsoptions?): TURNCreateResponse` **post** `/accounts/{account_id}/calls/turn_keys` Creates a new Cloudflare Calls TURN key. ### Parameters - `params: TURNCreateParams` - `account_id: string` Path param: The account identifier tag. - `name?: string` Body param: A short description of a TURN key, not shown to end users. ### Returns - `TURNCreateResponse` - `created?: string` The date and time the item was created. - `key?: string` Bearer token - `modified?: string` The date and time the item was last modified. - `name?: string` A short description of a TURN key, not shown to end users. - `uid?: string` A Cloudflare-generated unique identifier for a item. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const turn = await client.calls.turn.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(turn.uid); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created": "2014-01-02T02:20:00Z", "key": "66bcf64aa8907b9f9d90ac17746a77ce394c393b92b3916633dc02846e608ad4", "modified": "2014-01-02T02:20:00Z", "name": "my-turn-key", "uid": "2a95132c15732412d22c1476fa83f27a" } } ```